Page MenuHomePhabricator

The End key works unexpectedly on the last line of a paragraph in ContentTranslation
Closed, ResolvedPublic

Description

This happened to me when trying to translate [[Padma Purana]] and [[Kuching]] from English to Czech, and probably happens in other articles, too.

Click on the first paragraph. Click on any of the lines in the translation paragraph. Press the End key. In any line except the last, it puts the caret at the end of the line, as expected.

On the last line of the paragraphs, the behavior is different:

  • In Firefox, the browser scrolls the whole page to the end.
  • In Chrome, the caret goes to the beginning of the line instead of going to the end.

Both behaviors might be upstream bugs ;)

This might also be related to T104811.

Event Timeline

Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Amire80 lowered the priority of this task from Medium to Low.Oct 13 2015, 8:27 PM
Amire80 set Security to None.
Arrbee renamed this task from The End key works unexpectedly on the last line of a paragraph in ContentTranslation to [to triage] The End key works unexpectedly on the last line of a paragraph in ContentTranslation.Aug 20 2018, 11:29 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.
Amire80 renamed this task from [to triage] The End key works unexpectedly on the last line of a paragraph in ContentTranslation to The End key works unexpectedly on the last line of a paragraph in ContentTranslation.Sep 3 2018, 4:54 PM
Amire80 closed this task as Resolved.
Amire80 moved this task from Check & Move to Bugs on the ContentTranslation board.

Doesn't happen in CX2.